BRLTTY
Home | Download | Details | Documentation | Guidelines | Contact

Details


Requirements

BRLTTY has been tested on an incredible range of computers, Linux distributions, and kernel versions. It runs with a good response time on a machine as pitiful as a 386SX20 with 4MB RAM. It has been used on laptops, desktop PCs, a DEC Alpha running Alpha Linux, and a few Linux-based PDAs.

Kernel 1.1.92 or newer is required. 2.0.x kernels work fine.

BRLTTY does not depend on a specific distribution of Linux. It has been installed on top of Debian, Knoppix, Mandrake, Red Hat, SlackWare, and SuSE. It has also been used in the barest of boot/root disk sets.

BRLTTY needs to run as root in order to gain access to some of the console functions. It runs as a daemon, and does not need to be set-uid or set-gid.


Restrictions

BRLTTY cannot be used on its own within graphical environments like X-Windows and svgalib. Screen readers for these environments can, however, communicate with BRLTTY via its BrlAPI interface. Orca is an example of just such a screen reader which uses BRLTTY via BrlAPI in order to make the X-Windows environment accessible to braille users.

Supported Braille Displays

The following braille display models are supported. If you discover that any other displays and/or models work, or if you know the technical details required to get another one to work, then please let us know.
Albatross
Alva
B2G
Baum
BrailComm
BRAILLELITE
BrailleMemo
BrailleNote
Braudi
BrlAPI
Cebra
CombiBraille
EcoBraille
EuroBraille
FreedomScientific
HandyTech
Hedo
HIMS
HumanWare
Iris
Libbraille
LogText
MDV
Metec
MiniBraille
MultiBraille
NinePoint
Papenmeier
Pegasus
Seika
TechniBraille
TSI
TTY
VideoBraille
Virtual
VisioBraille
Voyager
XWindow

Supported Speech Synthesizers

The following speech synthesizers are supported. If you discover that any other synthesizers work, or if you know the technical details required to get another one to work, then please let us know.
Alva
BrailleLite
CombiBraille
eSpeak
ExternalSpeech
Festival
FestivalLite
GenericSay
Mikropuhe
SpeechDispatcher
Swift
Theta
ViaVoice

Home | Download | Details | Documentation | Guidelines | Contact